Bug 465287 - HP LaserJet 2605 no longer works after cups update
HP LaserJet 2605 no longer works after cups update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 12:00 EDT by Bradley
Modified: 2009-06-10 02:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 02:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bradley 2008-10-02 12:00:52 EDT
Description of problem:

Can't set up an HP Color LaserJet 2605 in system-config-printer, or print to it

Version-Release number of selected component (if applicable):

foomatic-3.0.2-67.fc9.x86_64
cups-libs-1.3.8-2.fc9.x86_64
cups-1.3.8-2.fc9.x86_64
system-config-printer-0.7.82.5-1.fc9.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Use system-config-printer to configure an HP Color LaserJet 2605 printer (using the HP/JetDirect option) (OR print to a preexisting 2605)

Actual results:

Not prompted for PPD options (duplexer, etc). When trying to save, a dialog appears:

"CUPS server error

There was an error during the CUPS operation: 'server-error-internal-error'."

cups error_log says:

D [03/Oct/2008:01:25:39 +1000] cupsdAuthorize: Authorized as root using Basic
D [03/Oct/2008:01:25:39 +1000] CUPS-Add-Modify-Printer ipp://localhost/printers/Color_LaserJet_2605
D [03/Oct/2008:01:25:39 +1000] cupsdIsAuthorized: username="root"
I [03/Oct/2008:01:25:39 +1000] Setting Color_LaserJet_2605 device-uri to "socket://192.168.0.31:9100" (was "file:/dev/null".)
D [03/Oct/2008:01:25:39 +1000] copy_model: Running "cups-driverd cat foomatic-db-ppds/HP/HP_Color_LaserJet_2605-ps.ppd.gz"...
D [03/Oct/2008:01:25:39 +1000] CUPS-Add-Modify-Printer server-error-internal-error: Unable to copy PPD file!
D [03/Oct/2008:01:25:39 +1000] cupsdProcessIPPRequest: 12 status_code=500 (server-error-internal-error)
D [03/Oct/2008:01:25:39 +1000] PID 14702 (/usr/lib/cups/daemon/cups-driverd) exited with no errors.

Expected results:

Prompted for PPD options, printer can be configured, and can works

Additional info:

The original symptom was that printing didn't work to this printer. Selecting the already-configured printer in s-c-p gave an error.

I tried a delete/add, but that failed (see above). After that, looking through the cups error log showed me errors from before the delete such as:

E [02/Oct/2008:14:57:42 +1000] PPD file for Color_LaserJet_2605 cannot be loaded
!
E [02/Oct/2008:14:57:42 +1000] Missing value string on line 122.
I [02/Oct/2008:14:57:42 +1000] Hint: Run "cupstestppd /etc/cups/ppd/Color_LaserJ
et_2605.ppd" and fix any errors.

(for the startup with the printer already configured; I can't find any error logs when trying to add the printer)

and indeed I get:

# cupstestppd /usr/share/foomatic/db/source/PPD/HP/HP_Color_LaserJet_2605.ppd.gz 
/usr/share/foomatic/db/source/PPD/HP/HP_Color_LaserJet_2605.ppd.gz: FAIL
      **FAIL**  Unable to open PPD file - Missing value string on line 122.
                REF: Page 20, section 3.4.

I've filed this against cups because thats what broke it (reverting cups/cups-libs to 1.3.7-8.fc9 fixes this). Its possible that the new cups is stricter, though, and its a foomatic/PPD issue.

For reference, under the old cups with the same PPD file, I get:

cupstestppd /usr/share/foomatic/db/source/PPD/HP/HP_Color_LaserJet_2605.ppd.gz 
/usr/share/foomatic/db/source/PPD/HP/HP_Color_LaserJet_2605.ppd.gz: FAIL
      **FAIL**  Missing choice *PageRegion A6 in UIConstraint "*Duplex DuplexNoTumble *PageRegion A6"!
      **FAIL**  Missing choice *PageSize A6 in UIConstraint "*Duplex DuplexNoTumble *PageSize A6"!
      **FAIL**  Missing choice *PageRegion A6 in UIConstraint "*Duplex DuplexTumble *PageRegion A6"!
      **FAIL**  Missing choice *PageSize A6 in UIConstraint "*Duplex DuplexTumble *PageSize A6"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPCMYKInks DIC *HPColorSmart Automatic"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPCMYKInks Euro *HPColorSmart Automatic"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPCMYKInks NoAdj *HPColorSmart Automatic"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPCMYKInks SWOP *HPColorSmart Automatic"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPColorSmart Automatic *HPCMYKInks DIC"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPColorSmart Automatic *HPCMYKInks Euro"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPColorSmart Automatic *HPCMYKInks NoAdj"!
      **FAIL**  Missing option HPCMYKInks in UIConstraint "*HPColorSmart Automatic *HPCMYKInks SWOP"!
      **FAIL**  Missing choice *PageRegion A6 in UIConstraint "*PageRegion A6 *Duplex DuplexNoTumble"!
      **FAIL**  Missing choice *PageRegion A6 in UIConstraint "*PageRegion A6 *Duplex DuplexTumble"!
        WARN    Missing cupsICCProfile file "/Library/Printers/hp/Profiles/CMYK_A.icc"
        WARN    Missing cupsICCProfile file "/Library/Printers/hp/Profiles/Gray_A.icc"
        WARN    Missing cupsICCProfile file "/Library/Printers/hp/Profiles/sRGB_A.icc"

but it works.
Comment 1 Bradley 2008-10-02 12:13:03 EDT
http://openprinting.org/show_printer.cgi?recnum=HP-Color_LaserJet_2605

says:

"
If loading the PPD file you see in the logs this error:

Missing value string on line 122.

edit the file and change line 122 from:
*CloseUI *HPCollateSupported
to:
*CloseUI: *HPCollateSupported
"

and if I do that it works with the new cups.
Comment 2 Tim Waugh 2008-10-02 12:26:59 EDT
Changing component to foomatic as that's where the real cause is.  Thanks for reporting it.
Comment 3 Bug Zapper 2009-06-09 22:52:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bradley 2009-06-10 02:10:28 EDT
Fixed in F11

Note You need to log in before you can comment on or make changes to this bug.